# Emacs

## Base

* `C-x C-s`: Save current file.
* `C-x C-f`: Find or open file.

## Markdown

[Module Reference](http://www.mplayerhq.hu/design7/news.html)

* `C-c C-s 1`: Insert level one heading with hash delimiter.

## Evil

[Reference card](https://michaelgoerz.net/refcards/vimqrc.pdf)

* `CTRL- {D, U, F, B}`: Scroll down/up by half or full page
* `zt zz zb`: Scroll current line to top, centre, bottom
* `{ }`: Move to beginning or end of paragraph
* `h l j k`: Character left, right, up, down

## Magit

[Reference card](https://magit.vc/manual/magit-refcard.pdf)

* `CTRL-x g`: Status buffer
* `S`: Stage all changes
* `c`: Start a commit
  * `C-c C-c`: Finish a commit
* `P`: Start a push
  * `u`: Push to origin 

